com.independentsoft.exchange

## Class NumberedRecurrenceRange

- java.lang.Object
- - com.independentsoft.exchange.NumberedRecurrenceRange

- All Implemented Interfaces:
    RecurrenceRange

      public class NumberedRecurrenceRange
      extends java.lang.Object
      implements RecurrenceRange

  Describes the start date and the number of occurrences of a recurring item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberedRecurrenceRange()` Initializes a new instance of the NumberedRecurrenceRange class.
    `NumberedRecurrenceRange(java.util.Date startDate, int occurrenceCount)` Initializes a new instance of the NumberedRecurrenceRange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOccurrenceCount()` Gets the number of occurrences of a recurring item.
    `java.util.Date` | `getStartDate()` Gets the start date of a recurring task or calendar item.
    `void` | `setOccurrenceCount(int occurrenceCount)` Sets the number of occurrences of a recurring item.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date of a recurring task or calendar item.
    `java.lang.String` | `toString()` Converts the value of the current NumberedRecurrenceRange object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberedRecurrenceRange

          public NumberedRecurrenceRange()

      Initializes a new instance of the NumberedRecurrenceRange class.

    - #### NumberedRecurrenceRange

          public NumberedRecurrenceRange(java.util.Date startDate,
                                         int occurrenceCount)

      Initializes a new instance of the NumberedRecurrenceRange class.
      Parameters:
        `startDate` - the start date
        `occurrenceCount` - the occurrence count

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current NumberedRecurrenceRange object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getStartDate

          public java.util.Date getStartDate()

      Gets the start date of a recurring task or calendar item.
      Returns:
        the start date

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

      Sets the start date of a recurring task or calendar item.
      Parameters:
        `startDate` - the new start date

    - #### getOccurrenceCount

          public int getOccurrenceCount()

      Gets the number of occurrences of a recurring item.
      Returns:
        the occurrence count

    - #### setOccurrenceCount

          public void setOccurrenceCount(int occurrenceCount)

      Sets the number of occurrences of a recurring item.
      Parameters:
        `occurrenceCount` - the new occurrence count